# Bash - Database Setup


## Description
Handles initial install and setup of various database types.


## Supported Databases

### MySQL
One of the most common types of Database. Recommended for anyone wanting to learn how to use a database.


See:
* https://dev.mysql.com/doc/
* https://wiki.brandon-rodriguez.com/Programming/MySQL


### MariaDB
An open source fork of MySQL, made by some of the same developers.

Is a viable alternative to MySQL, and for some OS's, the prefered install choice.


See:
 * https://mariadb.com/kb/en/documentation/
 * https://wiki.brandon-rodriguez.com/Programming/MariaDB


### PostgreSQL
Another common database type, and viable alternative to MySQL.


See:
* https://www.postgresql.org/docs/
* https://wiki.brandon-rodriguez.com/Programming/PostgreSQL


## Notes

### MySQL & utf8
It turns out that MySQL's `utf8` encoding isn't actually what is generally recognized as utf8.

To get proper utf8, use MySQL's `utf8mb4` encoding. See
[this link](https://medium.com/@adamhooper/in-mysql-never-use-utf8-use-utf8mb4-11761243e434) for details.
